<%@ Page Language="C#" %>
<%@ Import Namespace="System.Threading" %>
<%@ Import Namespace="System.Reflection" %>
<%@ Import Namespace="System.Runtime.Remoting" %>

<html>

<body style="font: 10pt verdana">
<h3>Remoting Channels </h3>

<table cellpadding="1" cellspacing="1" width="100%" style="COLOR:
black;FONT: 8pt verdana, arial" border="0" >

    <tr bgcolor="ffffff">
        <td style="padding-left:10" width="*" bgcolor="#b6cbeb"><b>Channel Scheme</b></td>
        <td style="padding-left:5;padding-right:15" width="*" bgcolor="#b6cbeb"><b>Priority</b></td>

        <td style="padding-left:5;padding-right:15" width="*" bgcolor="#b6cbeb"><b>MimeType</b></td>

        <td style="padding-left:5;padding-right:15" width="*" bgcolor="#b6cbeb"><b>Comments</b></td>
    </tr>

    <% IChannel[] channels = ChannelServices.RegisteredChannels; %>
    
    <% for(int i=0;i<channels.Length;i++) { %>

    
    <tr bgcolor="#eeeeee">

        <td style="padding-left:10"><%=channels[i].ChannelName%></td>

        <td style="padding-left:10"><%=channels[i].ChannelPriority%></td>

        <td style="padding-left:10"><%=channels[i].MimeType%></td>


        <td style="padding-left:5;padding-right:15;COLOR:black;FONT: 7pt verdana, arial" width="320" align="left"><%=channels[i].ChannelName%></td>


    </tr>
   <% } %>
   
    <TD>

</table>


<h3>Remoting Sender Channels </h3>

<table cellpadding="1" cellspacing="1" width="100%" style="COLOR:
black;FONT: 8pt verdana, arial" border="0" >

    <tr bgcolor="ffffff">
        <td style="padding-left:10" width="*" bgcolor="#b6cbeb"><b>Channel Scheme</b></td>
    </tr>

    <% IChannel[] senderChannels = ChannelServices.RegisteredChannels; %>
    
    <% for(int i=0;i<senderChannels.Length;i++) { %>
        
        <% if (senderChannels[i] is IChannelSender) {%>

        
    <tr bgcolor="#eeeeee">

        <td style="padding-left:10"><%=senderChannels[i].ChannelName%></td>

    </tr>
        <% } %>
   
   <% } %>
   
    <TD>

</table>


<h3>Remoting Receiver Channels </h3>

<table cellpadding="1" cellspacing="1" width="100%" style="COLOR:
black;FONT: 8pt verdana, arial" border="0" >

    <tr bgcolor="ffffff">
        <td style="padding-left:10" width="*" bgcolor="#b6cbeb"><b>Channel Scheme</b></td>

        <td style="padding-left:5;padding-right:15" width="*" bgcolor="#b6cbeb"><b>ChannelData</b></td>
    </tr>

    <% IChannel[] receiverChannels = ChannelServices.RegisteredChannels; %>
    
    <% for(int i=0;i<receiverChannels.Length;i++) { %>
        
        <% if (receiverChannels[i] is IChannelReceiver) {%>

        
    <tr bgcolor="#eeeeee">

        <td style="padding-left:10"><%=receiverChannels[i].ChannelName%></td>

        <td style="padding-left:10">
            <% Object channelData = ((IChannelReceiver)receiverChannels[i]).ChannelData;%>
            
            <% if (channelData is System.String[]){ %>
                
                <% 
                String[] stringArray = (String[])(channelData);
                for(int j=0;j<stringArray.Length;j++) { %>
                <%=stringArray[j]%>
            <p>
                <% } %>
            
            <% } %>
            
            <% else %>
                <%=((IChannelReceiver)receiverChannels[i]).ChannelData.ToString()%></td>


    </tr>
        <% } %>
   
   <% } %>
   
    <TD>

</table>


<h3>Assemblies </h3>

<table cellpadding="1" cellspacing="1" width="100%" style="COLOR:
black;FONT: 8pt verdana, arial" border="0" >

    <tr bgcolor="ffffff">
        <td style="padding-left:10" width="*" bgcolor="#b6cbeb"><b>Assembly</b></td>

        <td style="padding-left:5;padding-right:15" width="*" bgcolor="#b6cbeb"><b>Description</b></td>
    </tr>

    <% Assembly[] assemblies = Thread.GetDomain().GetAssemblies(); %>
    
    <% for(int i=0;i<assemblies.Length;i++) { %>
    
    <tr bgcolor="ffffff">
        <td style="padding-left:10"><%=assemblies[i].FullName %></td>

        <td style="padding-left:10"><%=assemblies[i].ToString() %></td>

    </tr>

   <% } %>
   
    <TD>

</table>


<h3>Lifetime </h3>

<table cellpadding="1" cellspacing="1" width="100%" style="COLOR:
black;FONT: 8pt verdana, arial" border="0" >

    <tr bgcolor="ffffff">
        <td style="padding-left:10" width="*" bgcolor="#b6cbeb"><b>Setting</b></td>

        <td style="padding-left:5;padding-right:15" width="*" bgcolor="#b6cbeb"><b>Value</b></td>

        <td style="padding-left:5;padding-right:15" width="*" bgcolor="#b6cbeb"><b>Description</b></td>
    </tr>

    <tr bgcolor="ffffff">
        <td style="padding-left:10">LeaseTime</td>

        <td style="padding-left:10"><%=LifetimeServices.LeaseTime %></td>

        <td style="padding-left:10">Default Lease Time span</td>
    </tr>

    <tr bgcolor="ffffff">
        <td style="padding-left:10">RenewOnCallTime</td>

        <td style="padding-left:10"><%=LifetimeServices.RenewOnCallTime %></td>

        <td style="padding-left:10">Renew on call time span</td>
    </tr>

    <tr bgcolor="ffffff">
        <td style="padding-left:10">SponsorshipTimeout</td>

        <td style="padding-left:10"><%=LifetimeServices.SponsorshipTimeout %></td>

        <td style="padding-left:10">Default SponsorShipTimeout</td>
    </tr>

    <tr bgcolor="ffffff">
        <td style="padding-left:10">LeaseManagerPollTime</td>

        <td style="padding-left:10"><%=LifetimeServices.LeaseManagerPollTime %></td>

        <td style="padding-left:10">LeaseManagerPollTime</td>
    </tr>

    <TD>

</table>



</body>
</html>
